package dp.visitor.solution1;

import java.util.ArrayList;
public class DependentTask extends Task{
	private ArrayList<Task> dependentTasks = new ArrayList<>();
	private double dependencyWeightingFactor;

	public DependentTask(String newName, String newDescription, Contact newOwner,
			double newTimeRequired, double newWeightingFactor){
		super(newName, newDescription, newOwner, newTimeRequired);
		dependencyWeightingFactor = newWeightingFactor;
	}

	public ArrayList<Task> getDependentTasks(){ return dependentTasks; }
	public double getDependencyWeightingFactor(){ return dependencyWeightingFactor; }

	public void setDependencyWeightingFactor(double
			newFactor){ dependencyWeightingFactor = newFactor; }

	public void addDependentTask(Task element){
		if (!dependentTasks.contains(element)){
			dependentTasks.add(element);
		}
	}

	public void removeDependentTask(Task element){
		dependentTasks.remove(element);
	}
}
