package dp.iterator.example;

public class MenuItem {
	private String name, description;
	private boolean vegetarian;
	private double price;
 
	public MenuItem(String name, 
	                String description, 
	                boolean vegetarian, 
	                double price) 
	{
		this.name = name;
		this.description = description;
		this.vegetarian = vegetarian;
		this.price = price;
	}
  
	public String getName() {
		return name;
	}
  
	public String getDescription() {
		return description;
	}
  
	public double getPrice() {
		return price;
	}
  
	public boolean isVegetarian() {
		return vegetarian;
	}
	
	public String toString() {
		String info = name + "\t" + description + "\t" + price;
		if( vegetarian )
			info += "\t" + "(Vegaterian)";
		return info;
	}

}
