package dp.visitor.solution2;
import java.util.ArrayList;
public class Task extends ProjectItem{
	private ArrayList<ProjectItem> projectItems = new ArrayList<>();
	private Contact owner;
	private double timeRequired;

	public Task(String newName, String newDesc, Contact newOwner, double newTimeRequired){
		super(newName, newDesc);
		owner = newOwner; timeRequired = newTimeRequired;
	}

	public ArrayList<ProjectItem> getProjectItems(){ return projectItems; }
	public Contact getOwner(){ return owner; }
	public double getTimeRequired(){ return timeRequired; }

	public void setOwner(Contact newOwner){ owner = newOwner; }
	public void setTimeRequired(double newTimeRequired){ timeRequired = newTimeRequired; }

	public void addProjectItem(ProjectItem element){
		if (!projectItems.contains(element)){
			projectItems.add(element);
		}
	}

	public void removeProjectItem(ProjectItem element){
		projectItems.remove(element);
	}

	public void accept(ProjectVisitor v){
		v.visitTask(this);
	}
}
